#!/bin/bash
                          
RADM="--user rasadmin --passwd rasadmin" #set to rasdaman credentials

rimport(){           
	#usage: $0 1 filename 2 oid 3 z
	rasimport -f $1 -coll lol2 -oid $2 -3d top -shift 0:0:$3 -csz 1
}


initrasdb(){
	raserase -coll lol2 &> /dev/null                 
	rasimport -f 'utm_32T.tif-envi.tif' -coll lol2 -3d top -shift 0:0:10 -csz 1&> /dev/null
	OID=$(rasql -q 'select oid(r) from lol2 as r' --out string $RADM)
	OID=$(echo $OID | cut -d ":" -f 7)
	vOID=(${OID})
	OID=${vOID[0]}
	echo $OID
}

                          
OID=$(initrasdb)

for i in {11..13} ; do
	rimport "utm_32T.tif-envi.tif" $OID $i
done

for i in {10..13} ; do
	rasql -q "select png(m[200:400,-100:100,$i]) from lol2 as m" --out file --outfile lol21-$i.png $RADM
done

for f in " `ls lol21*` " ; do
	md5sum $f
done

OID=$(initrasdb)

rimport "utm_32U.tif-envi.tif" $OID 10
for i in {11..13} ; do
	rimport "utm_32T.tif-envi.tif" $OID $i
	rimport "utm_32U.tif-envi.tif" $OID $i
done
                                                                                                   
for i in {10..13} ; do
        rasql -q "select png(m[200:400,-100:100,$i]) from lol2 as m" --out file --outfile lol22-$i.png $RADM
done

for f in " `ls lol22*` " ; do
        md5sum $f
done





